package com.cool.bang.modules.business.service.impl;

import com.cool.bang.common.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.cool.bang.modules.business.mapper.CorpMapper;
import com.cool.bang.modules.business.domain.Corp;
import com.cool.bang.modules.business.service.ICorpService;

/**
* 企业信息
*
* @author PeiZhi Guo
* 2024-10-31 17:00
*/
@Service
public class CorpServiceImpl extends BaseServiceImpl<CorpMapper, Corp> implements ICorpService {

    @Override
    public Corp queryByIdCard(String idCard) {
        return baseMapper.selectByIdCard(idCard);
    }

    @Override
    public Corp queryByOpenid(String openid) {
        return baseMapper.selectByOpenid(openid);
    }

    @Override
    public  boolean updateOpenid(Long id) {
        return baseMapper.updateOpenid(id)>0;
    }
}
